/*
 * SubMenuList.cpp
 *
 *  Created on: 6 Sep 2017
 *      Author: dave
 */

#include "SubMenuList.h"
#include "FilesystemSubMenu.h"
#include "SingleToneSubMenu.h"
#include "SignalPathControlSubMenu.h"
#include "CompensationTableSubMenu.h"
#include "ToneBufferSubMenu.h"
#include "ImageSubMenu.h"
#include "SystemSubMenu.h"

SubMenuList::SubMenuList(iMS::IMSSystem& myiMS)
{
	menuList = new SubMenuTypesList;

#if defined(USE_FILESYSTEM_MENU)
	this->menuList->push_back(new FilesystemSubMenu(myiMS));
#endif
#if defined(USE_SINGLETONE_MENU)
	this->menuList->push_back(new SingleToneSubMenu(myiMS));
#endif
#if defined(USE_SIGNALPATH_MENU)
	this->menuList->push_back(new SignalPathControlSubMenu(myiMS));
#endif
#if defined(USE_COMPENSATION_MENU)
	this->menuList->push_back(new CompensationTableSubMenu(myiMS));
#endif
#if defined(USE_TONEBUFFER_MENU)
	this->menuList->push_back(new ToneBufferSubMenu(myiMS));
#endif
#if defined(USE_IMAGE_MENU)
	this->menuList->push_back(new ImageSubMenu(myiMS));
#endif
#if defined(USE_SYSTEM_MENU)
	this->menuList->push_back(new SystemSubMenu(myiMS));
#endif
}

SubMenuList::~SubMenuList()
{
	for (SubMenuTypesList::const_iterator iter = menuList->begin();
		iter != menuList->end();
		iter++)
	{
		ISubMenu *object = *iter;
		delete object;
	}
	delete menuList;
}
