/*-----------------------------------------------------------------------------
/ Title      : iMS Test Program System Functions Sub-Menu Header
/ Project    : Isomet Modular Synthesiser System
/------------------------------------------------------------------------------
/ File       : $URL: http://nutmeg/svn/sw/trunk/09-Isomet/iMS_SDK/console_app/SubMenus/SystemSubMenu.h $
/ Author     : $Author: dave $
/ Company    : Isomet (UK) Ltd
/ Created    : 2017-09-06
/ Last update: $Date: 2017-09-11 23:55:34 +0100 (Mon, 11 Sep 2017) $
/ Platform   :
/ Standard   : C++11
/ Revision   : $Rev: 300 $
/------------------------------------------------------------------------------
/ Description:
/------------------------------------------------------------------------------
/ Copyright (c) 2017 Isomet (UK) Ltd. All Rights Reserved.
/------------------------------------------------------------------------------
/ Revisions  :
/ Date        Version  Author  Description
/ 2017-09-06  1.0      dc      Created
/
/----------------------------------------------------------------------------*/

#ifndef SYSTEMSUBMENU_H_
#define SYSTEMSUBMENU_H_

#include "ISubMenu.h"
#include "IMSSystem.h"
#include "SystemFunc.h"

#include <thread>
#include <atomic>

// Forward declaration
class SystemFuncSupervisor;

class SystemSubMenu : public ISubMenu
{
public:
	SystemSubMenu(iMS::IMSSystem& ims);
	~SystemSubMenu();

	const std::string& SubMenuDescription() const;

	void LaunchSubMenu();
private:
	void SubMenuPrint();
	void ReadTemperature();

	iMS::IMSSystem& thisIMS;
	static const int num_submenu_items;

	iMS::SystemFunc* sys;
	bool chan12, chan34;
	std::atomic<bool> tempThreadRunning { false };
};



#endif /* SYSTEMSUBMENU_H_ */
