/*-----------------------------------------------------------------------------
/ Title      : iMS Test Program Signal Path Control Sub-Menu Header
/ Project    : Isomet Modular Synthesiser System
/------------------------------------------------------------------------------
/ File       : $URL: http://nutmeg/svn/sw/trunk/09-Isomet/iMS_SDK/console_app/SubMenus/SignalPathControlSubMenu.h $
/ Author     : $Author: dave $
/ Company    : Isomet (UK) Ltd
/ Created    : 2017-09-06
/ Last update: $Date: 2017-09-11 23:55:34 +0100 (Mon, 11 Sep 2017) $
/ Platform   :
/ Standard   : C++11
/ Revision   : $Rev: 300 $
/------------------------------------------------------------------------------
/ Description:
/------------------------------------------------------------------------------
/ Copyright (c) 2017 Isomet (UK) Ltd. All Rights Reserved.
/------------------------------------------------------------------------------
/ Revisions  :
/ Date        Version  Author  Description
/ 2017-09-06  1.0      dc      Created
/
/----------------------------------------------------------------------------*/


#ifndef SIGNALPATHCONTROLSUBMENU_H_
#define SIGNALPATHCONTROLSUBMENU_H_

#include "ISubMenu.h"
#include "IMSSystem.h"
#include "SignalPath.h"

class SignalPathControlSubMenu : public ISubMenu
{
public:
	SignalPathControlSubMenu(iMS::IMSSystem& ims);
	~SignalPathControlSubMenu();

	const std::string& SubMenuDescription() const;

	void LaunchSubMenu();
private:
	void SubMenuPrint();

	iMS::IMSSystem& thisIMS;
	static const int num_submenu_items;

	iMS::SignalPath* sp;

	// Compensation Control State
	iMS::SignalPath::Compensation amplComp;
	iMS::SignalPath::Compensation phaseComp;
	bool XYMode;
};


#endif /* SIGNALPATHCONTROLSUBMENU_H_ */
