/*-----------------------------------------------------------------------------
/ Title      : iMS Test Program Single Tone Mode Sub-Menu Header
/ Project    : Isomet Modular Synthesiser System
/------------------------------------------------------------------------------
/ File       : $URL: http://nutmeg/svn/sw/trunk/09-Isomet/iMS_SDK/console_app/SubMenus/SingleToneSubMenu.h $
/ Author     : $Author: dave $
/ Company    : Isomet (UK) Ltd
/ Created    : 2017-09-06
/ Last update: $Date: 2017-09-11 23:55:34 +0100 (Mon, 11 Sep 2017) $
/ Platform   :
/ Standard   : C++11
/ Revision   : $Rev: 300 $
/------------------------------------------------------------------------------
/ Description:
/------------------------------------------------------------------------------
/ Copyright (c) 2017 Isomet (UK) Ltd. All Rights Reserved.
/------------------------------------------------------------------------------
/ Revisions  :
/ Date        Version  Author  Description
/ 2017-09-06  1.0      dc      Created
/
/----------------------------------------------------------------------------*/


#ifndef SINGLETONESUBMENU_H_
#define SINGLETONESUBMENU_H_

#include "ISubMenu.h"
#include "IMSSystem.h"
#include "SignalPath.h"

class SingleToneSubMenu : public ISubMenu
{
public:
	SingleToneSubMenu(iMS::IMSSystem& ims);
	~SingleToneSubMenu();

	const std::string& SubMenuDescription() const;

	void LaunchSubMenu();
private:
	void SubMenuPrint();

	iMS::IMSSystem& thisIMS;
	static const int num_submenu_items;

	iMS::SignalPath* sp;
	iMS::FAP fap;
};



#endif /* SINGLETONESUBMENU_H_ */
