/*
 * SubMenuListConfiguration.h
 *
 *  Created on: 6 Sep 2017
 *      Author: dave
 */

#ifndef SUBMENULIST_H_
#define SUBMENULIST_H_

#define USE_FILESYSTEM_MENU
#define USE_SINGLETONE_MENU
#define USE_SIGNALPATH_MENU
#define USE_COMPENSATION_MENU
#define USE_TONEBUFFER_MENU
#define USE_IMAGE_MENU
#define USE_SYSTEM_MENU

#include <deque>
#include "IMSSystem.h"
#include "ISubMenu.h"

class SubMenuList
{
private:
	typedef std::deque<ISubMenu*> SubMenuTypesList;
	SubMenuTypesList* menuList;

public:
	// Constructor initialises the list with the menu types
	SubMenuList(iMS::IMSSystem& myiMS);
	// Don't forget to free the list before exiting
	~SubMenuList();

	typedef SubMenuTypesList::iterator iterator;
	typedef SubMenuTypesList::const_iterator const_iterator;
	SubMenuTypesList::iterator begin() 	{ return menuList->begin(); }
	SubMenuTypesList::iterator end()   	{ return menuList->end(); }
	SubMenuTypesList::size_type size()  { return menuList->size(); }
	SubMenuTypesList::const_reference operator[]( SubMenuTypesList::size_type pos ) const { return (*menuList)[pos]; }
};

#endif /* SUBMENULISTCONFIGURATION_H_ */
